为R/Bioconductor开发调整RStudio 1

RStudio默认的是R。但是在很多情况下,我们需要使用到R-dev的这样的开发版本,应该怎么办呢?本文就讲解如何指定RStudio调用R-dev版本。

如果你安装的是windows,那么你只能重新安装一个新的RStudio,在安装的过程中,选择不同的R版本。
versions_windows

如果你的系统是MAC OSX,那么你的任务就简单得多了。首先你需要安装好开发版本的RFramework。可以从http://r.research.att.com/下载并安装,非常简单。
在安装好Framework和GUI之后(GUI可以改名,比如改成R-dev.app之类的),再安装RSwitch,它可以快速地在不同的R版本之间切换,其就是修改current Framework的软链接。

Screen Shot 2013-07-24 at 10.16.12 AM

我们需要注意的是要先使用RSwitch改变版本,然后再启动RStudio或者R-dev.app。

Screen Shot 2013-07-24 at 10.22.05 AM

One comment on “为R/Bioconductor开发调整RStudio

  1. Pingback: 使用RStudio维护bioconductor软件包 ← 糗世界

Leave a Reply

  

  

  

%d 博主赞过: